- Development
- CMS Developer Docs
- Create an new asset.
Create an new asset.
POST
/{workspaceIdOrAlias}/projects/{projectIdOrAlias}/assets
Create a new asset and return the created asset.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceIdOrAlias
required
string
ID or alias of the workspace
projectIdOrAlias
required
string
ID or alias of the project
Request Body
Section titled “Request Body ”object
file
string format: binary
contentType
string
contentEncoding
string
skipDecompression
boolean
object
url
string
token
string
skipDecompression
boolean
contentEncoding
string
Responses
Section titled “ Responses ”Assets
object
id
required
string
projectId
required
string
name
string
url
required
string
contentType
string
previewType
string
totalSize
number
archiveExtractionStatus
string
file
object
name
string
size
number
contentType
string
path
string
children
Array<object> recursive
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
public
required
boolean
Invalid request parameter value
Access token is missing or invalid
Not found